require 'test/integration/helper'

class TestAXTextArea < Minitest::Test

  def text_area
    @area ||= app.main_window.text_area
  end

  def text
    # @todo replace with faker?
    <<-EOS
Lorem ipsum dolor sit amet, dignissim at eget. Porttitor ut, montes eget, sed ante nec faucibus erat id, fermentum sed eu inceptos turpis, rutrum vitae lectus est augue. Leo leo pede eu sem. Ornare ridiculus bibendum elit amet integer elit, leo porttitor vestibulum vestibulum, ut dignissim faucibus laoreet sodales nullam tellus, lacus pellentesque laoreet consectetur viverra ut. Turpis risus vestibulum purus. Integer convallis, in eros conubia, augue metus ut, hac litora elit lorem. Enim feugiat sem vel, ut integer, fermentum in wisi, pharetra pharetra posuere. Torquent vehicula hendrerit donec, scelerisque tincidunt adipiscing orci non fames luctus, per pellentesque lectus felis sed massa elit, praesent lectus diam est vitae congue et. Neque justo vitae suspendisse in. Et morbi, primis a.
    EOS
  end

  def setup
    text_area.value = text
  end

  def teardown
    text_area.value = ''
  end

  def test_highlight_text_regexp
    [
     /L/,
     /Lorem/,
     /orem/,
#     /a.$/
    ].each do |expected|
      text_area.highlight_text expected
      actual   = text_area.selected_text
      expected = text_area.value.scan(expected).first
      assert_equal expected, actual
    end
  end

  def test_highlight_text_string
    skip
    [
     'Enim feugiat sem vel, ut integer, fermentum in wisi, pharetra pharetra posuere.',
     'Enim',
     'at'
    ].each do |expected|
      text_area.highlight_text expected
      actual = text_area.selected_text
      assert_equal expected, actual, expected
    end
  end

  def test_highlight_text_range
    [
     6..10,
     6...10,
    ].each do |range|
      expected = text_area.value[range]
      text_area.highlight_text range
      actual   = text_area.selected_text
      assert_equal expected, actual, range
    end
  end

end
