require 'test/integration/helper'

class TestAXTextField < Minitest::Test

  def search_field
    @field ||= app.main_window.search_field
  end

  def setup
    search_field.value = 'The cake is a lie!'
  end

  def teardown
    search_field.value = ''
  end


  # @group Tests

  def test_highlight_text_regexp
    [
     /cake/,
     /The/,
     /e!/,
     /a/
    ].each do |expected|
      search_field.highlight_text expected
      actual   = search_field.selected_text
      expected = search_field.value
      assert_equal expected, actual, expected
    end
  end

  def test_highlight_text_string
    expected = 'is a'
    search_field.highlight_text expected
    actual = search_field.selected_text
    assert_equal expected, actual
  end

  def test_highlight_text_range
    range    = 5..10
    expected = search_field.value[range]
    search_field.highlight_text range
    actual   = search_field.selected_text
    assert_equal expected, actual
  end

end
